### Method

# GObject Value set_param_take_ownership

deprecated: 2.4

#### Declaration [src]

    void
    g_value_set_param_take_ownership (
      GValue* value,
      GParamSpec* param
    )

#### Description [src]

This is an internal function introduced mainly for C marshallers.

Deprecated since: 2.4

Use `g_value_take_param()` instead.

This method is not directly available to language bindings.

#### Parameters

`param`

  Type: `GParamSpec`

  The `GParamSpec` to be set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.